# MapVertex | data-structure-typed
Documentation for data-structure-typed

# Class MapVertex<T>

#### Type Parameters

- #### T = any

#### Hierarchy

- DirectedVertex <T>
  - MapVertex

- Defined in src/data-structures/graph/map-graph.ts:4

#####
Index

### Constructors

constructor

### Properties

_lat
_long

### Accessors

id
lat
long
val

## Constructors

### constructor

- new MapVertex<T>(id, lat, long, val?): MapVertex <T>

- The constructor function initializes an object with an id, latitude, longitude, and an optional value.

  #### Type Parameters

  - #### T = any

  #### Parameters

  - ##### id: VertexId

    The `id` parameter is of type `VertexId` and represents the identifier of the vertex.

  - ##### lat: number

    The "lat" parameter represents the latitude of a vertex. Latitude is a geographic coordinate that specifies the north-south position of a point on the Earth's surface. It is measured in degrees, with positive values representing points north of the equator and negative values representing points south of the equator.

  - ##### long: number

    The "long" parameter represents the longitude of a location. Longitude is a geographic coordinate that specifies the east-west position of a point on the Earth's surface. It is measured in degrees, with values ranging from -180 to 180.

  - ##### `Optional` val: T

    The "val" parameter is an optional value of type T. It is not required to be provided when creating an instance of the class.

  #### Returns MapVertex <T>

  Overrides DirectedVertex.constructor

  - Defined in src/data-structures/graph/map-graph.ts:17

## Properties

### `Private` _lat

_lat: number

- Defined in src/data-structures/graph/map-graph.ts:23

### `Private` _long

_long: number

- Defined in src/data-structures/graph/map-graph.ts:33

## Accessors

### id

- get id(): VertexId

- #### Returns VertexId

  Inherited from DirectedVertex.id

  - Defined in src/data-structures/graph/abstract-graph.ts:28
- set id(v): void

- #### Parameters

  - ##### v: VertexId

  #### Returns void

  Inherited from DirectedVertex.id

  - Defined in src/data-structures/graph/abstract-graph.ts:32

### lat

- get lat(): number

- #### Returns number

  - Defined in src/data-structures/graph/map-graph.ts:25
- set lat(value): void

- #### Parameters

  - ##### value: number

  #### Returns void

  - Defined in src/data-structures/graph/map-graph.ts:29

### long

- get long(): number

- #### Returns number

  - Defined in src/data-structures/graph/map-graph.ts:35
- set long(value): void

- #### Parameters

  - ##### value: number

  #### Returns void

  - Defined in src/data-structures/graph/map-graph.ts:39

### val

- get val(): undefined | T

- #### Returns undefined | T

  Inherited from DirectedVertex.val

  - Defined in src/data-structures/graph/abstract-graph.ts:38
- set val(value): void

- #### Parameters

  - ##### value: undefined | T

  #### Returns void

  Inherited from DirectedVertex.val

  - Defined in src/data-structures/graph/abstract-graph.ts:42

Generated using TypeDoc